import 'package:catcher/model/platform_type.dart';
import 'package:catcher/model/report.dart';
import 'package:catcher/model/report_handler.dart';
import 'package:flutter/foundation.dart';

class ErrorReporterHandler implements ReportHandler {
  final Future<void> Function(FlutterErrorDetails errorDetails) errorReporter;
  ErrorReporterHandler(this.errorReporter);

  @override
  Future<bool> handle(Report error) async {
    try {
      await errorReporter(error.errorDetails);
      return true;
    } on Exception {}
    return false;
  }

  @override
  List<PlatformType> getSupportedPlatforms() {
    return [
      PlatformType.Android,
      PlatformType.iOS,
      PlatformType.Web,
      PlatformType.Unknown,
    ];
  }
}
